<?php
/**
 * Clase Base Bean para BaseArClaseBN
 *
 * @package    Sedapal
 * @subpackage BaseArClaseBN
 * @author     Willy
 * @version    SVN:: BaseArClaseBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArClaseBN
{
  protected $Idclase;
  protected $Descripcion;
  protected $Estado;
  protected $Orden;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getOrden(){
    return $this->Orden;
  }
  public function setOrden($v1){
    $this->Orden = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_claseBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_claseRs )
  {
    $o_ArClaseBN = new ArClaseBN();
    $o_ArClaseBN->setIdclase( $o_Ar_claseRs['idclase'] );
    $o_ArClaseBN->setDescripcion( $o_Ar_claseRs['descripcion'] );
    $o_ArClaseBN->setEstado( $o_Ar_claseRs['estado'] );
    $o_ArClaseBN->setOrden( $o_Ar_claseRs['orden'] );
    return $o_ArClaseBN;
  }
}